CVC4::CommandSuccess Class Reference

`#include <command.h>`

Inheritance diagram for CVC4::CommandSuccess:
[legend]
Collaboration diagram for CVC4::CommandSuccess:
[legend]

## Public Member Functions

CommandStatus & | clone () const
void | toStream (std::ostream &out, OutputLanguage language=language::output::LANG_AUTO) const throw ()

## Static Public Member Functions

static const CommandSuccess * | instance () throw ()

## Detailed Description

Definition at line 163 of file command.h.

## Member Function Documentation

## clone()

CommandStatus & CVC4::CommandSuccess::clone | ( |  | ) | const

inlinevirtual

Implements CVC4::CommandStatus.

Definition at line 167 of file command.h.

## instance()

static const CommandSuccess * CVC4::CommandSuccess::instance | ( |  | ) |
throw | ( | ) |  |  |

inlinestatic

Definition at line 166 of file command.h.

## toStream()

void CVC4::CommandStatus::toStream | ( | std::ostream & | out,
|  | OutputLanguage | language = language::output::LANG_AUTO ) const
throw | ( | ) |  |  |

inherited

The documentation for this class was generated from the following file:

- src/expr/command.h